#!/system/bin/sh

BOOT_CONF_FILE=/params/iptvsetting.properties
FILE_DHCP_CLIENT=/params/dhcp_client.conf
verhw=`getprop version.hardware`
echo $verhw
echo $1 $2>/params/iprenew

if [ $2 = "iprenew" ] ; then
   if [ $verhw == "HG680-SD5W" ] || [ $verhw == "HG680-TD5W" ] || [ $1 = "eth0" ];then
      PID_N=`ps | grep "udhcpc" | busybox awk '{print $2}'`                                                       
     [ -n "$PID_N" ] && kill -USR1 ${PID_N}         
     exit 0
   else
     exit 1   
   fi
fi

##### functions 
# Try to connect network using DHCP
do_dhcp() {
  # kill dhcp process
  #killall -9 udhcpc
  WAN_DEV=$1
	setprop net.dev ${WAN_DEV}
  # dhcp V4
  dhcp_ctc22=`busybox awk -F = '$1=="network.dhcp.ctc22"{print $2}' ${BOOT_CONF_FILE}`
  dhcp_username=`busybox sed -n "/^network.dhcp.username=/p" ${BOOT_CONF_FILE} | busybox sed "s/^network.dhcp.username=//"`
  dhcp_password=`busybox sed -n "/^network.dhcp.password=/p" ${BOOT_CONF_FILE} | busybox sed "s/^network.dhcp.password=//"`
  stbid=`busybox awk -F = '$1=="device.stbid"{print $2}' ${BOOT_CONF_FILE}`
  vdhcp_flag=`busybox awk -F = '$1=="network.dhcp.doublevlan"{print $2}' ${BOOT_CONF_FILE}`
	dhcp_zone=`busybox awk -F = '$1=="network.dhcp.zone"{print $2}' ${BOOT_CONF_FILE}`
	if [ ! -e $FILE_DHCP_CLIENT ]; then
		touch $FILE_DHCP_CLIENT
	fi
    busybox sed -i '1d' ${FILE_DHCP_CLIENT} 

	     busybox ifconfig $WAN_DEV mtu 1496
		/system/bin/opt/bin/udhcpc -f -i ${WAN_DEV} -s /system/bin/opt/etc/dhcp.script -T 2 -t 10 -h ${stbid}
 

}

do_dhcp $1

