#!/system/bin/sh
ETHERNETON=`getprop persist.ethernet.on`
case $ETHERNETON in
 true)
  busybox ifconfig eth0 up
  ;;
 *)
  ;;
 esac

#date -s 20140101
QBENABLE=`getprop persist.sys.qb.enable`
case $QBENABLE in
 true)
  ;;
 *)
  setprop sys.insmod.ko 1
  ;;
 esac

#DVFS
#echo 400000 > /sys/module/mali/parameters/mali_dvfs_max_freqency
echo 0 > /sys/module/mali/parameters/mali_dvfs_enable
echo 432000 1200 >/proc/msp/pm_gpu


echo "\n\nWelcome to HiAndroid\n\n" > /dev/kmsg
LOW_RAM=`getprop ro.config.low_ram`
case $LOW_RAM in
 true)
  echo "\n\nenter low_ram mode\n\n" > /dev/kmsg
  echo 104857600 > /sys/block/zram0/disksize
  mkswap /dev/block/zram0
  swapon /dev/block/zram0
  #modules(memopt): Enable KSM in low ram device
  echo 1 > /sys/kernel/mm/ksm/run
  echo 300 > /sys/kernel/mm/ksm/sleep_millisecs
  ;;
 *)
  ;;
 esac

# led up. add by qpyin
/system/bin/sample_ipcfg &
# Forced standby restart function
#SUSPEND_RESTAR=`getprop persist.suspend.mode`
#case $SUSPEND_RESTAR in
# deep_restart)
#  sleep 3;
#  echo 0x1 0x1 > /proc/msp/pm
#  ;;
# *)
#  ;;
# esac


# logo,bootanimation,video version .  
# 2015.08.20  add by liuyq@fiberhom.com
FH_TEMP_VERSION="/system/opt/etc/version"
if [ -f /data/local/version ]; then
FH_TEMP_VERSION="/data/local/version"
fi

FH_TEMP_IMG1=`cat ${FH_TEMP_VERSION} | busybox grep logo= | busybox awk -F '[=]' '{print $2}'`
FH_TEMP_IMG2=
if [ -f /params/version_img ]; then
	FH_TEMP_IMG2=`cat /params/version_img`
	setprop persist.sys.IMG $FH_TEMP_IMG2
else
	setprop persist.sys.IMG $FH_TEMP_IMG1
fi

FH_TEMP_ANIMATION1=`cat ${FH_TEMP_VERSION} | busybox grep bootanimation= | busybox awk -F '[=]' '{print $2}'`
FH_TEMP_ANIMATION2=
if [ -f /params/version_animation ]; then
	FH_TEMP_ANIMATION2=`cat /params/version_animation`
    setprop persist.sys.ANIMATION $FH_TEMP_ANIMATION2
else
    setprop persist.sys.ANIMATION $FH_TEMP_ANIMATION1
fi

FH_TEMP_VIDEO1=`cat ${FH_TEMP_VERSION} | busybox grep video= | busybox awk -F '[=]' '{print $2}'`
FH_TEMP_VIDEO2=
if [ -f /params/version_video ]; then
	FH_TEMP_VIDEO2=`cat /params/version_video`
    setprop persist.sys.VIDEO $FH_TEMP_VIDEO2
else
    setprop persist.sys.VIDEO $FH_TEMP_VIDEO1
fi

FH_TEMP_STARTMODE1=`cat ${FH_TEMP_VERSION} | busybox grep startmode= | busybox awk -F '[=]' '{print $2}'`
FH_TEMP_STARTMODE2=
if [ -f /params/version_startmode ]; then
	FH_TEMP_STARTMODE2=`cat /params/version_startmode`
    setprop persist.sys.STARTMODE $FH_TEMP_STARTMODE2
else
    setprop persist.sys.STARTMODE $FH_TEMP_STARTMODE1
fi

FH_TEMP_IPTVLOGO1=`cat ${FH_TEMP_VERSION} | busybox grep iptvlogo= | busybox awk -F '[=]' '{print $2}'`
FH_TEMP_IPTVLOGO2=
if [ -f /params/version_iptvlogo ]; then
	FH_TEMP_IPTVLOGO2=`cat /params/version_iptvlogo`
    setprop persist.sys.IPTVLOGO $FH_TEMP_IPTVLOGO2
else
    setprop persist.sys.IPTVLOGO $FH_TEMP_IPTVLOGO1
fi