#!/system/bin/sh
## tftp cmd ##
PORT_CTRL_LOG="/mnt/portctl.log"

# Params:  
#	-p (put , upload files  )
#	-g (get , download files )
#	-l (local , with local file name or after downloading rename file)
#	-r (remote ,with remote file name or after uploading rename file)
#	default Port 69
# example busybox tftp -p -r wuxin -l /data/ssh/123 192.168.10.2 
remoteFileName=$1
localPathFile=$2
ServerIP=$3

if [ "$remoteFileName" == "" ]; then
   echo "tftp remoteFileName is not existed" >> $PORT_CTRL_LOG
   exit 1 
fi  

if [ "$localPathFile" == "" ]; then
   echo "tftp localPathFile is not existed" >> $PORT_CTRL_LOG
   exit 1  
fi  

if [ "$ServerIP" == "" ]; then
   echo "tftp ServerIP is not existed" >> $PORT_CTRL_LOG
   exit 1 
fi 

if [ -n "$ServerIP" ] ; then  
	 echo "busybox tftp -p -r $remoteFileName -l $localPathFile $ServerIP" >> $PORT_CTRL_LOG
	busybox tftp -p -r $remoteFileName -l $localPathFile $ServerIP
fi